Bug 1210694

Summary: Please update to 1.3.3 (so TigerVNC can be updated)
Product: [Fedora] Fedora Reporter: Tim Waugh <twaugh>
Component: fltkAssignee: Rex Dieter <rdieter>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 21CC: hobbes1069, jchaloup, pertusus, phracek, rdieter, twaugh, vonsch
Target Milestone: ---Keywords: Reopened
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: fltk-1.3.3-2.fc21 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2015-11-04 15:32:15 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On:    
Bug Blocks: 1208814    

Description Tim Waugh 2015-04-10 11:35:59 UTC
Description of problem:
TigerVNC 1.4.x requires fltk 1.3.3 for correct keyboard handling support.

See bug #1208814.
See also https://github.com/TigerVNC/tigervnc/issues/8

Version-Release number of selected component (if applicable):
fltk-1.3.2-7.fc21

Comment 1 Rex Dieter 2015-04-10 12:26:55 UTC
Per bug #1160251 , when we updated f22+ to fltk-1.3.3+, it was determined to be (likely?) ABI incompatible, so we rebuilt all fltk dependencies at the same time to be on the safe side.

That said, the upstream report implies fltk requires some keyboard support/patches (prior to 1.3.3), which I think our 1.3.2 builds include some keyboard related patch from:
http://www.fltk.org/str.php?L2599

Is that one not sufficient?

Comment 2 Rex Dieter 2015-04-10 12:41:00 UTC
I guess you wouldn't have filed this bug if that were the case, nevermind.

I'm game to try updating, and can help with other rebuilds if that becomes necessary.

Anyone else with objections or comments?

Comment 3 Tim Waugh 2015-04-10 13:53:13 UTC
Apparently they aren't sufficient. In particular, some people are reporting that Ctrl-Space in vncviewer is acting like Ctrl-2.

Sorry, I'm not sure which is the change that fixes it, or whether the fix breaks ABI. :-(

Comment 4 Fedora Update System 2015-04-16 03:10:45 UTC
fltk-1.3.3-2.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/fltk-1.3.3-2.fc21

Comment 5 Rex Dieter 2015-04-16 03:12:20 UTC
update submitted, buildroot override set until apr 22.

Comment 6 Tim Waugh 2015-04-16 14:11:18 UTC
Thanks!

Comment 7 Fedora Update System 2015-04-18 09:55:23 UTC
Package fltk-1.3.3-2.fc21:
* should fix your issue,
* was pushed to the Fedora 21 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing fltk-1.3.3-2.fc21'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-6393/fltk-1.3.3-2.fc21
then log in and leave karma (feedback).

Comment 8 Fedora Update System 2015-05-02 18:10:48 UTC
fltk-1.3.3-2.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 Rex Dieter 2015-05-12 14:22:06 UTC
Per bodhi comment,

This broke plotting in octave (bug #1218360 and bug #1220627). Looks like it broke ABI. I'm rebuilding octave now.


Ideally, with such evidence we'd bump soname, and issue another batched update, not sure if it's worth doing all that though.

In the least, I'll look into doing rebuilds for remaining pkgs that depend on fltk libs.

Comment 10 Rex Dieter 2015-05-13 14:02:49 UTC
followup post to -devel (credits to orion)
https://lists.fedoraproject.org/pipermail/devel/2015-May/210541.html

Comment 11 Tim Waugh 2015-05-15 16:42:28 UTC
Thanks, sorry it ended up causing breakage.

Comment 12 Fedora Update System 2015-05-15 19:53:13 UTC
alsamixergui-0.9.0-0.18.rc2.fc21.1 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/alsamixergui-0.9.0-0.18.rc2.fc21.1

Comment 13 Fedora Update System 2015-05-15 19:56:35 UTC
alsa-tools-1.0.28-4.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/alsa-tools-1.0.28-4.fc21

Comment 14 Fedora Update System 2015-05-15 19:57:46 UTC
dillo-3.0.4.1-2.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/dillo-3.0.4.1-2.fc21

Comment 15 Fedora Update System 2015-05-15 19:58:16 UTC
cinepaint-1.4-9.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/cinepaint-1.4-9.fc21

Comment 16 Fedora Update System 2015-05-15 20:00:46 UTC
ed2k_hash-0.4.0-21.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/ed2k_hash-0.4.0-21.fc21

Comment 17 Fedora Update System 2015-05-15 20:01:00 UTC
eureka-1.00-5.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/eureka-1.00-5.fc21

Comment 18 Fedora Update System 2015-05-15 20:16:38 UTC
fgrun-3.2.0-3.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/fgrun-3.2.0-3.fc21

Comment 19 Fedora Update System 2015-05-15 20:20:46 UTC
flpsed-0.7.2-5.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/flpsed-0.7.2-5.fc21

Comment 20 Fedora Update System 2015-05-15 20:33:47 UTC
gipfel-0.4.0-5.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/gipfel-0.4.0-5.fc21

Comment 21 Fedora Update System 2015-05-15 20:34:42 UTC
giada-0.7.0-7.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/giada-0.7.0-7.fc21

Comment 22 Fedora Update System 2015-05-15 20:40:42 UTC
htmldoc-1.8.28-6.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/htmldoc-1.8.28-6.fc21

Comment 23 Fedora Update System 2015-05-15 20:53:05 UTC
lmms-1.0.3-5.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/lmms-1.0.3-5.fc21

Comment 24 Fedora Update System 2015-05-15 21:20:52 UTC
nut-nutrition-19.2-5.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/nut-nutrition-19.2-5.fc21

Comment 25 Fedora Update System 2015-05-16 14:16:55 UTC
gmsh-2.8.5-6.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/gmsh-2.8.5-6.fc21

Comment 26 Fedora Update System 2015-05-16 14:24:01 UTC
mathgl-2.3-2.fc21.1 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/mathgl-2.3-2.fc21.1

Comment 27 Fedora Update System 2015-05-16 14:25:20 UTC
minicomputer-1.41-13.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/minicomputer-1.41-13.fc21

Comment 28 Fedora Update System 2015-05-16 14:26:55 UTC
mup-6.3-2.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/mup-6.3-2.fc21

Comment 29 Fedora Update System 2015-05-16 15:40:49 UTC
OpenEXR_Viewers-2.2.0-2.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/OpenEXR_Viewers-2.2.0-2.fc21

Comment 30 Fedora Update System 2015-05-16 15:42:08 UTC
paulstretch-2.2.2-9.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/paulstretch-2.2.2-9.fc21

Comment 31 Fedora Update System 2015-05-16 15:43:19 UTC
posterazor-1.5-16.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/posterazor-1.5-16.fc21

Comment 32 Fedora Update System 2015-05-16 15:44:26 UTC
rakarrack-0.6.2-0.6.20140723git7dba0c4.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/rakarrack-0.6.2-0.6.20140723git7dba0c4.fc21

Comment 33 Fedora Update System 2015-05-16 16:01:35 UTC
rasterview-1.3-10.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/rasterview-1.3-10.fc21

Comment 34 Fedora Update System 2015-05-16 17:29:16 UTC
OpenSceneGraph-3.2.1-4.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/OpenSceneGraph-3.2.1-4.fc21

Comment 35 Fedora Update System 2015-05-16 17:31:33 UTC
stage-4.1.1-10.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/stage-4.1.1-10.fc21

Comment 36 Fedora Update System 2015-05-16 17:34:37 UTC
yoshimi-1.3.4-1.fc21.1 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/yoshimi-1.3.4-1.fc21.1

Comment 37 Fedora Update System 2015-05-16 17:35:18 UTC
zynaddsubfx-2.4.4-4.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/zynaddsubfx-2.4.4-4.fc21

Comment 38 Fedora Update System 2015-05-27 16:04:43 UTC
nut-nutrition-19.2-5.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 39 Fedora Update System 2015-05-27 16:04:50 UTC
rakarrack-0.6.2-0.6.20140723git7dba0c4.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 40 Fedora Update System 2015-05-27 16:11:24 UTC
gipfel-0.4.0-5.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 41 Fedora Update System 2015-05-27 16:13:24 UTC
giada-0.7.0-7.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 42 Fedora Update System 2015-05-27 16:13:49 UTC
lmms-1.0.3-5.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 43 Fedora Update System 2015-05-27 16:13:54 UTC
minicomputer-1.41-13.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 44 Fedora Update System 2015-05-27 16:15:08 UTC
alsa-tools-1.0.28-4.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 45 Fedora Update System 2015-05-27 16:15:53 UTC
mup-6.3-2.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 46 Fedora Update System 2015-05-27 16:16:22 UTC
alsamixergui-0.9.0-0.18.rc2.fc21.1 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 47 Fedora Update System 2015-05-27 16:20:47 UTC
fgrun-3.2.0-3.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 48 Fedora Update System 2015-05-27 16:21:29 UTC
cinepaint-1.4-9.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 49 Fedora Update System 2015-05-27 16:21:36 UTC
mathgl-2.3-2.fc21.1 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 50 Fedora Update System 2015-05-27 16:22:24 UTC
htmldoc-1.8.28-6.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 51 Fedora Update System 2015-05-27 16:22:41 UTC
posterazor-1.5-16.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 52 Fedora Update System 2015-05-27 16:23:12 UTC
flpsed-0.7.2-5.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 53 Fedora Update System 2015-05-27 16:23:58 UTC
paulstretch-2.2.2-9.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 54 Fedora Update System 2015-05-27 16:25:46 UTC
ed2k_hash-0.4.0-21.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 55 Fedora Update System 2015-05-27 16:26:50 UTC
gmsh-2.8.5-6.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 56 Fedora Update System 2015-05-27 16:27:03 UTC
eureka-1.00-5.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 57 Fedora Update System 2015-05-27 16:28:23 UTC
OpenEXR_Viewers-2.2.0-2.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 58 Fedora Update System 2015-05-27 16:29:32 UTC
rasterview-1.3-10.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 59 Fedora Update System 2015-05-28 11:58:33 UTC
yoshimi-1.3.4-1.fc21.1 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 60 Fedora Update System 2015-05-28 12:00:41 UTC
OpenSceneGraph-3.2.1-4.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 61 Fedora Update System 2015-05-28 12:01:01 UTC
zynaddsubfx-2.4.4-4.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 62 Fedora Update System 2015-05-28 12:06:16 UTC
stage-4.1.1-10.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 63 Fedora Update System 2015-06-05 23:54:04 UTC
dillo-3.0.4.1-2.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 64 Fedora End Of Life 2015-11-04 15:30:59 UTC
This message is a reminder that Fedora 21 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 21. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '21'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 21 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 65 Rex Dieter 2015-11-04 15:32:15 UTC
This was done, closing